aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-misc/omorfi/omorfi-0.1_alpha.ebuild
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/omorfi/omorfi-0.1_alpha.ebuild')
-rw-r--r--sci-misc/omorfi/omorfi-0.1_alpha.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/sci-misc/omorfi/omorfi-0.1_alpha.ebuild b/sci-misc/omorfi/omorfi-0.1_alpha.ebuild
new file mode 100644
index 000000000..8aea631da
--- /dev/null
+++ b/sci-misc/omorfi/omorfi-0.1_alpha.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_P="${PN}-${PV/_alpha/-alpha}"
+
+DESCRIPTION="Open morphology for Finnish language"
+HOMEPAGE="http://gna.org/projects/omorfi"
+SRC_URI="http://download.gna.org/omorfi/${MY_P}.tar.bz2"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=">=sci-misc/kotus-sanalista-1
+ dev-java/saxon
+ sci-misc/sfst"
+RDEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+ econf || die "configure failed"
+ emake -j1 || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ dodoc AUTHORS ChangeLog README README.fi THANKS || die "docs missing"
+}